#!/bin/sh

if [ -e ../src/org/glimmerblocker/proxy ] # when executed from within IDEA
then
    cd ..
fi
cd ..

CP=
for d in ../tmp/classes/production/*
do
	CP="$CP:$d"
done
for f in lib-jars/*.jar ./Externals/jabhts/HtmlParser/jar-lib/*.jar
do
	CP="$CP:$f"
done

java -Djava.awt.headless=true \
	-Xms120m \
	-Xmx230m \
	-classpath "$CP" \
	-Dfile.encoding=UTF-8 \
	-Dhtml5lib=1 \
	org.jabhts.translator.buildsystem.Builder \
	-tmp ../tmp \
	"$@" \
	./Proxy/src \
	./Proxy/src/org/glimmerblocker/proxy \
	org.glimmerblocker.proxy 


